=== debian/changelog ===
hugo-mx-gateway (0.2.2+ds1-3) unstable; urgency=medium

  * Add patch to allow unauthenticated SMTP

 -- Dominik George <natureshadow@debian.org>  Thu, 28 Apr 2022 21:00:07 +0200

hugo-mx-gateway (0.2.2+ds1-2) unstable; urgency=medium

  * Install default mail templates

 -- Dominik George <natureshadow@debian.org>  Thu, 28 Apr 2022 20:37:29 +0200

hugo-mx-gateway (0.2.2+ds1-1) unstable; urgency=medium

  * Initial release

 -- Dominik George <natureshadow@debian.org>  Thu, 28 Apr 2022 18:48:17 +0200
